조직 활동 피드 (조직의 프로젝트 전체에서 수행된 조치)를 최신 항목부터 반환합니다. 페이지가 매겨진 키 세트/ 커서 .
쿼리 매개변수
-
프로젝트 별 필터링
-
페이지당 최대 이벤트 수(기본값 50, 최대 200)
-
다음 페이지를 위한 불투명한 키 세트 커서
-
조치 별 필터링(예: 에이전트. 배포)
-
카테고리별 필터링: 액세스 또는 변형
-
행위자 이메일 로 필터링
-
결과별 필터링: 성공 또는 실패
-
시간 범위 시작(RFC3339)
-
시간 범위 종료(RFC3339)
-
관리자 이벤트(연산자 작업 및 GSA 런타임 이벤트)를 포함합니다. 기본값 false 숨김
GET /api/v1/organizations/{id}/audit-events
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/organizations/{id}/audit-events' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"audit_events": [
{
"action": "agent.deploy",
"actor": {
"client_id": "string",
"email": "string",
"roles": [
"string"
],
"type": "string",
"user_id": "string"
},
"category": "access",
"failure_reason": "string",
"id": "string",
"metadata": {},
"outcome": "success",
"scope": {
"org_id": "string",
"project_id": "string",
"workspace_id": "string"
},
"source_ip": "string",
"target": {
"id": "string",
"name": "string",
"type": "string"
},
"timestamp": "string"
}
],
"has_more": true,
"next_cursor": "string"
}
응답 예시(200)
{
"audit_events": [
{
"action": "agent.deploy",
"actor": {
"client_id": "string",
"email": "string",
"roles": [
"string"
],
"type": "string",
"user_id": "string"
},
"category": "access",
"failure_reason": "string",
"id": "string",
"metadata": {},
"outcome": "success",
"scope": {
"org_id": "string",
"project_id": "string",
"workspace_id": "string"
},
"source_ip": "string",
"target": {
"id": "string",
"name": "string",
"type": "string"
},
"timestamp": "string"
}
],
"has_more": true,
"next_cursor": "string"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}